VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PrelimEvent"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa PrelimEvent
Implements Events
Private numLanes As Integer
Private swimmers As Collection
Private evnts As New Events
Private sd As Seeding

Private Sub Class_Initialize()
  Set evnts = New Events
End Sub
'-------
Private Function Events_getSeeding() As Seeding
  Set sd = New CircleSeeding
  sd.init swimmers, numLanes
  Set Events_getSeeding = sd
End Function
'-------
Private Function Events_getSwimmers() As Collection
  Set Events_getSwimmers = swimmers
End Function
'-------
Private Function Events_isFinal() As Boolean
  Events_isFinal = False
End Function
'-------
Private Function Events_isPrelim() As Boolean
  Events_isPrelim = True
End Function
'-------
Private Function Events_isTimedFinal() As Boolean
  Events_isTimedFinal = False
End Function
'-------
Private Sub Events_init(Filename As String, lanes As Integer)
  evnts.init Filename, lanes
  numLanes = lanes
  Set swimmers = evnts.getSwimmers
End Sub
